GOTO-INSPECT(2)

NAME
goto-inspect - Inspect goto-binaries.

SYNOPSIS

goto-inspect [-?] [-h] [--help]
    show help

goto-inspect --version
    show version and exit

goto-inspect [options] in
    Inspect (show properties, goto-functions, etc of) given goto-binary.

DESCRIPTION
goto-inspect reads a GOTO binary, and shows goto-functions, properties, and other attributes associated with the goto-program.

OPTIONS

  User-interface options:

--show-goto-functions
    print the goto-program instructions for the functions contained by the binary.

ENVIRONMENT
All tools honor the TMPDIR environment variable when generating temporary files and directories.

BUGS
If you encounter a problem please create an issue at https://github.com/diffblue/cbmc/issues

SEE ALSO
cbmc(1), goto-cc(1) goto-instrument(1)

COPYRIGHT
2023, Diffblue Ltd.